function httpObject (host)
{
	this.host = host;
}

httpObject.prototype = 
{
    getObject : function()
	{
        var xmlhttp;
        
        if (!xmlhttp && typeof XMLHttpRequest != 'undefined') 
        {
	        try 
	        {   
	           xmlhttp = new XMLHttpRequest();
	        }
	        catch (e) 
	        {
	           xmlhttp = false
	        }
	    }
	    return xmlhttp;
	},

	doRequestSync : function (verb, url)
    {
		try
		{
			var xmlhttp = this.getObject();
			
			xmlhttp.open (verb, url, false);
	        
	        if (verb == "POST")
			    xmlhttp.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
			    
			xmlhttp.send(null);		
			
			var domParser = new DOMParser();
			
			if (xmlhttp.status >= 200 && xmlhttp.status < 300 )
			{
				var xmlDoc1 = domParser.parseFromString(xmlhttp.responseText, "text/xml");
				
				var responseObject = {xmlDoc: xmlDoc1, strHeaders: xmlhttp.getAllResponseHeaders()};
		
				return responseObject;
			}
		}
		catch (ex)
		{
			Logger.log(ex);
		}
    }
};